'use server';

import { TechTable } from '@/components/status';
import { getUser, getRecentUsersWithStatuses } from '@/lib/actions';
import { redirect } from 'next/navigation';

const Status = async () => {
  const userRespoonse = await getUser();
  if (!userRespoonse.success) {
    redirect('/sign-in');
  } else {
    const response = await getRecentUsersWithStatuses();
    if (!response.success) throw new Error(response.error);
    const usersWithStatuses = response.data;
    return <TechTable initialStatuses={usersWithStatuses} />;
  }
};
export default Status;
