'use server';

import Link from 'next/link';
import Image from 'next/image';

const Footer = () => {
  return (
    <footer className='w-full h-16 flex items-center justify-between border-t bg-background px-8 mt-auto'>
      <div className='flex items-center'>
        <Link
          href='https://git.gibbyb.com/gib/tech-tracker-next'
          className='text-sm font-semibold px-3 py-2 rounded-lg
						bg-gradient-to-tl from-[#35363F] to-[#24191A] hover:text-sky-200
						hover:bg-gradient-to-tr hover:from-[#35363F] hover:to-[#23242F]
						flex items-center gap-2 transition-all duration-200'
        >
          <Image
            src='/icons/misc/gitea.svg'
            alt='Gitea'
            width={20}
            height={20}
          />
          <span className='text-white'>View Source Code on Gitea</span>
        </Link>
      </div>
      <div className='flex-1 flex justify-center'>
        <div className='text-sm text-center space-y-1'>
          <div className='flex my-auto'>
            <Image
              src='/favicon.png'
              width={18}
              height={15}
              className='mr-1 mt-0.5'
              alt='Tech Tracker Logo'
            />
            <p>
              <strong>Tech Tracker</strong> - City of Gulfport IT Department
            </p>
          </div>
          <p className='text-muted-foreground'>
            Open Source • MIT Licensed • Self-Hosted
          </p>
        </div>
      </div>
      <div className='w-[160px]'></div> {/* Spacer to balance the layout */}
    </footer>
  );
};
export default Footer;
